Results 1 to 4 of 4

Thread: Problem performing security update

  1. #1
    Join Date
    Feb 2011
    Location
    Texas
    Posts
    13

    Question Problem performing security update

    Every time i update I get this error:
    71 packages to upgrade, 2 new, 3 to remove.
    Overall download size: 92.7 MiB. After the operation, 60.3 MiB will be freed.
    Continue? [y/n/?] (y): y
    Removing dhcp-4.1.1.P1-3.2 [error]
    Removal of (23176)dhcp-4.1.1.P1-3.2.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: error: package dhcp-4.1.1.P1-3.2.x86_64 is not installed

    Abort, retry, ignore? [a/r/i] (a):

    Please see the above error message for a hint.
    Warning: One of installed patches requires reboot of your machine. Reboot as soon as possible.
    There are some running programs that use files deleted by recent upgrade. You may wish to restart some of them. Run 'zypper ps' to list these programs.

    Also I reboot and programs still are not updated.


    This is not installed and I still am not sure why it keeps trying to update even after being unselected.

    I have tried updating these security updates through zapper and the yast's online update and software manager with same results.


    Any help is appreciated

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: Problem performing security update

    Please do the following:

    Code:
    zypper clean --all
    then as su -
    Code:
    rpmdb --rebuilddb
    still as su -

    Code:
    zypper ref
    then
    Code:
    zypper up
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Feb 2011
    Location
    Texas
    Posts
    13

    Default Re: Problem performing security update

    Quote Originally Posted by caf4926 View Post
    Please do the following:

    Code:
    zypper clean --all
    then as su -
    Code:
    rpmdb --rebuilddb
    still as su -

    Code:
    zypper ref
    then
    Code:
    zypper up
    Thanks first of all for giving me the cli that will definitely help in the future!
    It is Working and so far no errors!!!

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: Problem performing security update

    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •